<id>
Simple Colour Select
</id>

<version>
1.0
</version>

<mod info>
This mod removes the YaBB 2 colour selection box from post pages, and replaces it with the simpler drop-down menu from YaBB 1.

Useful if you think that you can have too much choice, and also if you are on a slow connection. The Y2 colour picker has a lot of HTML and images that can take time to download.
</mod info>

<author>
Andrew Aitken (LoonyPandora)
</author>

<homepage>
http://www.loonypandora.com
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$colour_select_mod = "Simple Colour Select|Andrew Aitken (LoonyPandora)|This mod replaces the YaBB 2 colour picker on post pages, with a simpler version. Similar to YaBB 1|1.0|1st October 2005;
	push (@installed_mods, "$colour_select_mod");

</add before>


<edit file>
Sources/Post.pl
</edit file>

<search for>
        <div style="height: 42px; width: 86px; overflow: auto; border: 1px; border-style: outset; float: right;">
        ~;
		for ($z = 0; $z < 256; $z += 51) {
			$c3 = sprintf("%02x", $z);
			for ($y = 0; $y < 256; $y += 51) {
				$c2 = sprintf("%02x", $y);
				for ($x = 0; $x < 256; $x += 51) {
					$c1 = sprintf("%02x", $x);
					$selcolor = qq~#$c1$c2$c3~;
					if ($ENV{'HTTP_USER_AGENT'} =~ /Safari/) { $yymain .= qq~<span style="background-color: $selcolor; width: 11px; height: 11px;"><img src="$defaultimagesdir/palette.gif" border="0" hspace="0" vspace="0" alt="" style="height: 11px; width: 11px; margin: 0px;" onclick="showcolor('$selcolor')" /></span>~; }
					else { $yymain .= qq~<span style="float: left; background-color: $selcolor; width: 9px; height: 9px; border: 1px outset; font-size: 5px;" onclick="showcolor('$selcolor')">&nbsp;</span>~; }
				}
				if ($ENV{'HTTP_USER_AGENT'} =~ /Safari/) { $yymain .= qq~<br />~; }
			}
		}
		$yymain .= qq~
</search for>

<replace>
        <div style="float: right;">
		<select name="color" onChange="showcolor(this.options[this.selectedIndex].value)">
			<option value="#000000" selected>Black</option>
			<option value="#FF0000">Red</option>
			<option value="#008000">Green</option>
			<option value="#0000FF">Blue</option>
			<option value="#FFFF00">Yellow</option>
			<option value="#FFC0CB">Pink</option>
			<option value="#FFA500">Orange</option>
			<option value="#800080">Purple</option>
			<option value="#F5F5DC">Beige</option>
			<option value="#A0522D">Brown</option>
			<option value="#008080">Teal</option>
			<option value="#000080">Navy</option>
			<option value="#800000">Maroon</option>
			<option value="#32CD32">Lime Green</option>
		</select>
</replace>